<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

if (isset($_POST['cot_id'])){ $cot_id=$_POST['cot_id'];} 
if (isset($_POST['art_id_bod'])){ $art_id_bod=$_POST['art_id_bod'];}                        
if (isset($_POST['art_id'])){ $art_id=$_POST['art_id'];}                        
if (isset($_POST['art_referencia'])){ $art_referencia=$_POST['art_referencia'];}
if (isset($_POST['cantidad'])){ $cantidad=$_POST['cantidad'];}
if (isset($_POST['precio_venta'])){ $precio_venta=$_POST['precio_venta'];}
if ($_POST['art_iva']>0){ $art_iva=$_POST['art_iva']; } else { $art_iva='0';}
if ($_POST['descuento']>0){ $descuento=$_POST['descuento']; } else { $descuento='0';}
if (isset($_POST['nombre'])){ $nombre=$_POST['nombre'];}
if (isset($_POST['tipo'])){ $tipo=$_POST['tipo'];}
if (isset($_POST['cambio'])){ $cambio=$_POST['cambio'];}
if (isset($_POST['com_id'])){ $com_id=$_POST['com_id'];}

if ($tipo=='articulo')
{
    $atri1=mysqli_query($con,"SELECT * FROM articulos_has_bodegas where art_id='$art_id_bod'");
    $atri1 = mysqli_fetch_array($atri1);
    $atributo1=$atri1['atributo1'];

    $atri11=mysqli_query($con,"SELECT * FROM atributos1 where atri_id='$atributo1'");
    $atri11 = mysqli_fetch_array($atri11);
    if (isset($atri11)) 
    {                    
        $atri_nombre=$atri11['atri_nombre'];
    }
    else
    {
        $atri_nombre='';
    }

    $atributo2=$atri1['atributo2'];
    $atri2=mysqli_query($con,"SELECT * FROM atributos2 where atri_id2='$atributo2'");
    $atri2 = mysqli_fetch_array($atri2);
    if (isset($atri2)) 
    {                    
        $atri_nombre2=' - '.$atri2['atri_nombre2'];
    }
    else
    {
        $atri_nombre2='';
    }

    $atributos=$atri_nombre .$atri_nombre2;

    if ($cambio=='ven') {
        $precio_venta1=$precio_venta;
    }
    else
    {
        $precio_venta1=1;
    }

   /* $sqll=mysqli_query($con,"SELECT * FROM cotizacion_detalle WHERE art_id_bod='$art_id_bod' and cotd_art_id='$art_id' and cambio='$cambio' and empresa='$empresa' and cotizacion_cot_id='$cot_id'") ;
    if($roww=mysqli_fetch_array($sqll))
    { 
        $cotd_id=$roww['cotd_id'];            
        $cotd_art_id=$roww['cotd_art_id'];            
        $cotd_cantidad=$roww['cotd_cantidad'];
        $suma=$cotd_cantidad+$cantidad;
            
        $registros=mysqli_query($con,"UPDATE cotizacion_detalle Set cotd_cantidad='$suma',cotd_precio='$precio_venta1' Where cotd_id='$cotd_id' and empresa='$empresa' and cotizacion_cot_id='$cot_id'") or die(mysqli_error($con));
    }
    else
    {  */ 
        $can2=mysqli_query($con,"SELECT * FROM articulos_presentacion where pres_art_id='$art_id' and pres_defecto='si' ") or die(mysqli_error($con)); 
        $dato2=mysqli_fetch_array($can2);
        $pres_unidad=$dato2['pres_unidad'];


        $can0=mysqli_query($con,"SELECT MAX(cotd_id)as cotd_id FROM cotizacion_detalle ") or die(mysqli_error($con)); 
        $dato0=mysqli_fetch_array($can0);
        $cotd_id=$dato0['cotd_id']+1;

        $sql=mysqli_query($con,"INSERT INTO cotizacion_detalle (cotd_id,art_id_bod,cotd_art_id,cotd_referencia,cotd_nombre,cotd_unidad,cotd_x_cantidad,cotd_cantidad,cotd_iva,cotd_desc,cotd_precio,cotd_tipo,cambio,empresa,cotizacion_cot_id) 
        VALUES ('$cotd_id','$art_id_bod','$art_id','$art_referencia','$nombre $atributos','$pres_unidad','1','$cantidad','$art_iva','$descuento','$precio_venta1','articulo','$cambio','$empresa','$cot_id')") or  die(mysqli_error($con));
//    }   
}

if ($tipo=='nuevo')
{
    $sql=mysqli_query($con,"INSERT INTO cotizacion_detalle (cotd_art_id,cotd_referencia,cotd_nombre,cotd_cantidad,cotd_iva,cotd_desc,cotd_precio,cotd_tipo,cambio,empresa,cotizacion_cot_id) 
    VALUES ('$art_referencia','$art_referencia','$nombre','$cantidad','$art_iva','$descuento','$precio_venta','nuevo','$cambio','$empresa','$cot_id')") or  die(mysqli_error($con));
}



if ($tipo=='producto')
{
    $can0=mysqli_query($con,"SELECT MAX(cotd_id)as cotd_id FROM cotizacion_detalle ") or die(mysqli_error($con)); 
    $dato0=mysqli_fetch_array($can0);
    $cotd_id=$dato0['cotd_id']+1;

    $sql=mysqli_query($con,"INSERT INTO cotizacion_detalle (cotd_id,art_id_bod,cotd_art_id,cotd_referencia,cotd_nombre,cotd_cantidad,cotd_iva,cotd_desc,cotd_precio,cotd_tipo,cambio,empresa,cotizacion_cot_id) 
    VALUES ('$cotd_id','0','$art_id','$art_referencia','$nombre','$cantidad','$art_iva','$descuento','$precio_venta','producto','$cambio','$empresa','$cot_id')") or  die(mysqli_error($con));

    $sab=mysqli_query($con,"SELECT * FROM sabores_productos WHERE articulo_art_id='$art_id' and empresa='$empresa'")or die(mysqli_error($con));
    if ($res=mysqli_fetch_array($sab))
    { ?>

        <script type="text/javascript">
        function redireccionar(){
            $('#myModal').modal('hide');
            $('body').removeClass('modal-open');
            $('.modal-backdrop').remove();
            document.getElementById('id02').style.display='active';
            $("#id02").trigger("click");
        } 
        setTimeout ("redireccionar()", 100); 
        </script>
        <input id="id02" type="hidden" style="visibility: none;" data-toggle="modal" data-target="#myart"></input>
        <form name="form_art" id="form_art">
            <div class="modal fade" id="myart" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true"  data-backdrop="static"> 
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title">SABORES</h4>
                        </div>
                        <div class="modal-body">
                            <div id="resultado_sabor"></div>
                            <div class="">
                                 <input type="hidden" name="cot_id" id="cot_id<?php echo $cot_id; ?>" value="<?php echo $cot_id; ?>" >
                                 <input type="hidden" name="art_id" id="art_id<?php echo $art_id; ?>" value="<?php echo $art_id; ?>" >
                                <input type="hidden" name="cotd_id" id="cotd_id<?php echo $cotd_id; ?>" value="<?php echo $cotd_id; ?>" >
                                <?php
                                   $sab2=mysqli_query($con,"SELECT * FROM sabores_productos WHERE articulo_art_id='$art_id' and empresa='$empresa'")or die(mysqli_error($con));
                                   while ($sab1=mysqli_fetch_array($sab2))
                                        {
                                            $sab_id=$sab1['sab_id'];
                                ?>

                                <input type="checkbox" id="sabor<?php echo $sab_id; ?>" name="sabor[]" value="<?php  echo $sab_id; ?>">
                                <label class="lab" for="sabor<?php echo $sab_id; ?>"><?php echo mb_strtoupper($sab1['sab_nombre']); ?></label>
                                <?php } ?>                            
                            </div> <!-- /.form-group -->
                            <div class="modal-footer">
                                <button type="submit" id="btn_art" value="btn_art" class="btn btn-success"><i class="icon-ok"></i> Registrar</button>        
                            </div>
                        </div>
                    </div><!-- /.modal-content -->
                </div><!-- /.modal-dialog -->
            </div><!-- /.modal -->
        </form> 
        <script type="text/javascript">
        $("#form_art").submit(function( event ) {
        $('#btn_art').attr("disabled", true);
            var parametros = $(this).serialize();
            $.ajax({
              type: "POST",
              url: "php_cotizaciones/z_agregar_sabor_producto.php",
              data: parametros,
                beforeSend: function(objeto){
                 $('#resultado_sabor').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
                },
            success: function(datos){
            $("#resultado_sabor").html(datos);
            $('#btn_art').attr("disabled", false);
            $('#myart').modal('hide');
            $('body').removeClass('modal-open');
            $('.modal-backdrop').remove();
            loadTabla();
            }
          });
          event.preventDefault();
        })
        </script>

<?php } else { ?>
    <script>
        loadTabla();
    </script>
<?php } } 


if ($tipo=='combo')
{
    $can0=mysqli_query($con,"SELECT MAX(cdc_id)as cdc_id FROM cotizacion_detalle_combo") or die(mysqli_error($con)); 
    $dato0=mysqli_fetch_array($can0);
    $cdc_id=$dato0['cdc_id']+1;

    $insert_tmp=mysqli_query($con, "INSERT INTO cotizacion_detalle_combo (cdc_id,combo_id,combo_referencia,combo_cantidad,combo_nombre,combo_precio,cot_id) 
    VALUES ('$cdc_id','$com_id','$art_referencia','$cantidad','$nombre','$precio_venta','$cot_id')");

    $sab=mysqli_query($con,"SELECT * FROM sabores_combos WHERE combo_id='$com_id' and empresa='$empresa'")or die(mysqli_error($con));
    if ($res=mysqli_fetch_array($sab))
    {
?>
        <script type="text/javascript">
        function redireccionar(){
            $('#myModal').modal('hide');
            $('body').removeClass('modal-open');
            $('.modal-backdrop').remove();
            document.getElementById('id01').style.display='active';
            $("#id01").trigger("click");
        } 
        setTimeout ("redireccionar()", 100); 
        </script>
        <input id="id01" type="hidden" style="visibility: none;" data-toggle="modal" data-target="#mycombo"></input>
        <form name="form_combo" id="form_combo">
            <div class="modal fade" id="mycombo" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true" data-backdrop="static">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title">SABORES</h4>
                        </div>
                        <div class="modal-body">
                            <div id="resultado_sabor"></div>
                            <div class="">
                                <input type="hidden" name="cot_id" id="cot_id<?php echo $cot_id; ?>" value="<?php echo $cot_id; ?>" >
                                <input type="hidden" name="com_id" id="com_id<?php echo $com_id; ?>" value="<?php echo $com_id; ?>" >
                                <input type="hidden" name="cdc_id" id="cdc_id<?php echo $cdc_id; ?>" value="<?php echo $cdc_id; ?>" >
                                <?php
                                   $sab2=mysqli_query($con,"SELECT * FROM sabores_combos WHERE combo_id='$com_id' and empresa='$empresa'")or die(mysqli_error($con));
                                   while ($sab1=mysqli_fetch_array($sab2))
                                        {
                                            $sab_id=$sab1['sab_id'];
                                ?>
                                <input type="checkbox" id="sabor<?php echo $sab_id; ?>" name="sabor[]" value="<?php  echo $sab_id; ?>">
                                <label class="lab" for="sabor<?php echo $sab_id; ?>"><?php echo mb_strtoupper($sab1['sab_nombre']); ?></label>
                                <br>
                                <?php } ?>                            
                            </div> <!-- /.form-group -->
                            <div class="modal-footer">
                                <button type="submit" id="btn_combo" value="btn_combo" class="btn btn-success"><i class="icon-ok"></i> Registrar</button>        
                            </div>
                        </div>
                    </div><!-- /.modal-content -->
                </div><!-- /.modal-dialog -->
            </div><!-- /.modal -->
        </form> 
        <script type="text/javascript">
        $("#form_combo").submit(function( event ) {
        $('#btn_combo').attr("disabled", true);
            var parametros = $(this).serialize();
            $.ajax({
              type: "POST",
              url: "php_cotizaciones/z_agregar_sabor_combo.php",
              data: parametros,
                beforeSend: function(objeto){
                 $('#resultado_sabor').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
                },
            success: function(datos){
            $("#resultado_sabor").html(datos);
            $('#btn_combo').attr("disabled", false);
            document.getElementById("form_combo").reset();
            $('#mycombo').modal('hide');
            $('body').removeClass('modal-open');
            $('.modal-backdrop').remove();
            loadTabla();
            }
          });
          event.preventDefault();
        })
        </script>
<?php   }   else   {   ?>
<script>
    loadTabla();
</script>
<?php   }   }  

if ($tipo=='servicio')
{
    
    $sqll=mysqli_query($con,"SELECT * FROM cotizacion_detalle WHERE  cotd_art_id='$art_id' and empresa='$empresa' and cotizacion_cot_id='$cot_id'") ;
    if($roww=mysqli_fetch_array($sqll))
    { 
        $cotd_art_id=$roww['cotd_art_id'];            
        $cotd_cantidad=$roww['cotd_cantidad'];
        $suma=$cotd_cantidad+$cantidad;
            
        $registros=mysqli_query($con,"UPDATE cotizacion_detalle Set cotd_cantidad='$suma',cotd_precio='$precio_venta' Where cotd_art_id='$art_id' and empresa='$empresa' and cotizacion_cot_id='$cot_id'") or die(mysqli_error($con));
    }
    else
    {   
        $can0=mysqli_query($con,"SELECT MAX(cotd_id)as cotd_id FROM cotizacion_detalle ") or die(mysqli_error($con)); 
        $dato0=mysqli_fetch_array($can0);
        $cotd_id=$dato0['cotd_id']+1;

        $sql=mysqli_query($con,"INSERT INTO cotizacion_detalle (cotd_id,art_id_bod,cotd_art_id,cotd_referencia,cotd_nombre,cotd_cantidad,cotd_iva,cotd_desc,cotd_precio,cotd_tipo,cambio,empresa,cotizacion_cot_id) 
        VALUES ('$cotd_id','0','$art_id','$art_referencia','$nombre','$cantidad','$art_iva','$descuento','$precio_venta','servicio','$cambio','$empresa','$cot_id')") or  die(mysqli_error($con));
    } 

?>
<script>
     loadTabla();
</script>
<?php  } 

if ($tipo=='detallado')
{
    $sql=mysqli_query($con,"INSERT INTO cotizacion_detalle (art_id_bod,cotd_art_id,cotd_referencia,cotd_nombre,cotd_cantidad,cotd_iva,cotd_desc,cotd_precio,cotd_tipo,cambio,empresa,cotizacion_cot_id) 
    VALUES ('0','$art_id','$art_referencia','$nombre','$cantidad','$art_iva','$descuento','$precio_venta','detallado','$cambio','$empresa','$cot_id')") or  die(mysqli_error($con));

} ?>
<link href="css/checkbox.css" rel="stylesheet" media="all"> 